Zum Inhalt springen
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Delete a label

Also takes it off every thread, with no per-thread event.

DELETE/inboxes/{inbox_id}/labels/{label_id}
Autorisierung
AuthorizationBearer-Token · headererforderlich

A BillionSend API key (bs_…).

Pfadparameter
inbox_idstringerforderlich

The inbox ID or its email address, such as support@example.com

label_idstring<uuid>erforderlich

The label ID

Antworten
200

Label deleted

objectstringerforderlich
Erlaubt:inbox_label
idstring<uuid>erforderlich
deletedbooleanerforderlich
Erlaubt:true
401

Missing, malformed, unknown or revoked API key

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
404

Not found

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X DELETE 'https://api.billionsend.com/inboxes/string/labels/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Antwort
{
  "object": "inbox_label",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "deleted": true
}

War diese Seite hilfreich?